<template>
  <div v-if="error">{{ error }}</div>
  <div class="mx-auto max-w-2xl lg:mx-0">
    <h2 class="text-3xl font-bold tracking-tight text-gray-900 sm:text-4xl">From the blog</h2>
    <p class="mt-2 text-lg leading-8 text-gray-600" id="subtitle">Learn how to grow your business with our expert
      advice.</p>
    <a href="/posts/create">
      <button type="submit"
        class="mt-6 rounded-md bg-indigo-600 px-3 py-2 text-sm font-semibold text-white shadow-sm hover:bg-indigo-500 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-indigo-600">
        Add a Post
      </button>
    </a>
  </div>
  <PostList :posts="posts" v-if="posts.length" />
  <div v-else>Loading...</div>
</template>
<script>
import PostList from "@/components/posts/PostList/PostList.vue";
import getPosts from '@/composables/getPosts';

export default {
  name: "HomeView",
  components: { PostList },
  setup() {
    const { posts, error, load } = getPosts();

    load();

    return { posts, error };
  }
}
</script>
